import request from "@/utils/request";

// 查询安全检测列表
export function listDetection(query) {
  return request({
    url: "/zongzhi/detection/list",
    method: "get",
    params: query,
  });
}

// 查询安全检测详细
export function getDetection(id) {
  return request({
    url: "/zongzhi/detection/" + id,
    method: "get",
  });
}

// 新增安全检测
export function addDetection(data) {
  return request({
    url: "/zongzhi/detection",
    method: "post",
    data: data,
  });
}

// 修改安全检测
export function updateDetection(data) {
  return request({
    url: "/zongzhi/detection",
    method: "put",
    data: data,
  });
}

// 删除安全检测
export function delDetection(id) {
  return request({
    url: "/zongzhi/detection/" + id,
    method: "delete",
  });
}

// 导出安全检测
export function exportDetection(data) {
  return request({
    url: "/zongzhi/detection/export",
    method: "post",
    data,
  });
}
